------------------------------------------------------------------------
r29910 | gerald | 2009-09-14 16:23:21 -0700 (Mon, 14 Sep 2009) | 5 lines
Changed paths:
   M /trunk-1.2/ChangeLog
   M /trunk-1.2/NEWS

Update release files.  --This line, and those below, will be ignored--

M    ChangeLog
M    NEWS

------------------------------------------------------------------------
r29930 | gerald | 2009-09-15 10:39:18 -0700 (Tue, 15 Sep 2009) | 2 lines
Changed paths:
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/version.conf

Switch back to regular versioning. Fix the version in the release notes.

------------------------------------------------------------------------
r29937 | gerald | 2009-09-15 12:03:42 -0700 (Tue, 15 Sep 2009) | 2 lines
Changed paths:
   M /trunk-1.2/config.nmake
   M /trunk-1.2/configure.in
   M /trunk-1.2/debian/changelog
   M /trunk-1.2/docbook/release-notes.xml

Bump the version.

------------------------------------------------------------------------
r29940 | gerald | 2009-09-15 14:12:36 -0700 (Tue, 15 Sep 2009) | 2 lines
Changed paths:
   M /trunk-1.2/docbook/release-notes.xml

Updates.

------------------------------------------------------------------------
r30016 | gerald | 2009-09-20 08:04:33 -0700 (Sun, 20 Sep 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-09-20]
------------------------------------------------------------------------
r30173 | gerald | 2009-09-27 08:05:04 -0700 (Sun, 27 Sep 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-09-27]
------------------------------------------------------------------------
r30304 | gerald | 2009-10-04 08:04:31 -0700 (Sun, 04 Oct 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-10-04]
------------------------------------------------------------------------
r30515 | gerald | 2009-10-11 08:04:37 -0700 (Sun, 11 Oct 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-10-11]
------------------------------------------------------------------------
r30598 | gerald | 2009-10-18 08:04:34 -0700 (Sun, 18 Oct 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-10-18]
------------------------------------------------------------------------
r30643 | gerald | 2009-10-20 09:50:27 -0700 (Tue, 20 Oct 2009) | 2 lines
Changed paths:
   M /trunk-1.2/wiretap/pcapng.c

From Michael: Disable debugging output.

------------------------------------------------------------------------
r30657 | gerald | 2009-10-21 13:27:23 -0700 (Wed, 21 Oct 2009) | 139 lines
Changed paths:
   M /trunk-1.2/asn1/snmp/packet-snmp-template.c
   M /trunk-1.2/diameter/TGPPRx.xml
   M /trunk-1.2/diameter/dictionary.xml
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-bootp.c
   M /trunk-1.2/epan/dissectors/packet-paltalk.c
   M /trunk-1.2/epan/dissectors/packet-sccp.c
   M /trunk-1.2/epan/dissectors/packet-snmp.c
   M /trunk-1.2/epan/dissectors/packet-ssl-utils.c
   M /trunk-1.2/epan/dissectors/packet-sua.c
   M /trunk-1.2/epan/exceptions.h
   M /trunk-1.2/epan/libwireshark.def
   M /trunk-1.2/epan/to_str.c
   M /trunk-1.2/epan/to_str.h
   M /trunk-1.2/epan/tvbuff.c
   M /trunk-1.2/epan/tvbuff.h

Copy over revisions from the trunk:

------------------------------------------------------------------------
r28658 | stig | 2009-06-08 01:28:42 -0700 (Mon, 08 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Fixed check for no_of_bits in tvb_get_bits16(), tvb_get_bits32() and
tvb_get_bits64().
------------------------------------------------------------------------
r28691 | stig | 2009-06-11 03:03:08 -0700 (Thu, 11 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Remove some "statement not reached" warnings.
------------------------------------------------------------------------
r28840 | stig | 2009-06-24 19:07:17 -0700 (Wed, 24 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

From Nathan Hartwell via bug 2733:
Added time_secs_to_str_unsigned().
------------------------------------------------------------------------
r28841 | stig | 2009-06-24 19:08:06 -0700 (Wed, 24 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Nathan Hartwell via bug 2733:
Use time_secs_to_str_unsigned().
------------------------------------------------------------------------
r29064 | wmeier | 2009-07-11 08:36:18 -0700 (Sat, 11 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-paltalk.c

Fix use of "unaligned" memory references;
Fixes Bug #3689.
Also: fix IPV4 address comparisons which would be incorrect
      on a big-endian machine.
------------------------------------------------------------------------
r29381 | krj | 2009-08-11 11:16:55 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Turn a comment in fast_ensure_contiguous() into a DISSECTOR_ASSERT() to make the implied requirement explicit.
------------------------------------------------------------------------
r29382 | krj | 2009-08-11 11:28:10 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

(Trivial change) move ensure_contiguous() to reflect call hierarchy
------------------------------------------------------------------------
r29412 | etxrab | 2009-08-14 08:31:59 -0700 (Fri, 14 Aug 2009) | 3 lines
Changed paths:
   M /trunk/diameter/TGPPRx.xml
   M /trunk/diameter/dictionary.xml

Typos.
Fixes:
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3878
------------------------------------------------------------------------
r29432 | krj | 2009-08-15 05:29:25 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Make mem chunk static
------------------------------------------------------------------------
r29433 | krj | 2009-08-15 05:41:24 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Add a missing DISSECTOR_ASSERT in tvb_init()
------------------------------------------------------------------------
r29434 | krj | 2009-08-15 06:24:59 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Use the slice allocator if GLIB >= 2,10,0 as suggested by Anders Broman
------------------------------------------------------------------------
r29441 | krj | 2009-08-16 00:29:11 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/exceptions.h
   M /trunk/epan/tvbuff.c

Remove a non thread-safe usage (useful when/if we ever support threading) of a static tvbuff in tvb_new_real_data(). The current version uses a static 'last_tvb' to keep track of the last allocated tvbuff. This is needed because some of the function we call can throw an exception. This patch improves this strategy by throwing an exception (if needed) before we try to allocate the tvbuff. This way we avoid a memleak _and_ we don't have to track the 'last_tvb' tvbuff.
------------------------------------------------------------------------
r29442 | krj | 2009-08-16 01:18:17 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Make some of the check_XXX functions accept the length/reported length of the tvbuff as arguments instead the tvbuff. We'll need this feature in order to remove the non-thread usage of the 'last_tvb' variable in tvb_new_subset()
------------------------------------------------------------------------
r29443 | krj | 2009-08-16 02:18:17 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Remove the non-thread safe usage of 'last_tvb' variable in tvb_new_subset()
------------------------------------------------------------------------
r29444 | krj | 2009-08-16 02:48:25 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Remove unused parameters
------------------------------------------------------------------------
r29445 | krj | 2009-08-16 03:53:47 -0700 (Sun, 16 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

Add a new function, tvb_new_subset_remaining(), which is a sligtly optimized version of tvb_new_subset(). The latter can be mapped to the former by tvb_new_subset(tvb, offset, -1 /* backing_length */, -1 /* reported_length */). We can disable some bounds checking because 'backing_length' and 'reported_length' are hardcoded to -1.

The current implementation of tvb_new_subset_remaining() only has the THROW_ON(reported_length < 1) check removed when compared to tvb_new_subset(). So there's room for improvement in this function. We should be able to disable some more (redundant) bounds checking.
------------------------------------------------------------------------
r29914 | morriss | 2009-09-14 18:08:58 -0700 (Mon, 14 Sep 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

ssl_association_remove(): free assoc->info too
------------------------------------------------------------------------


Copy over with manual intervention:
------------------------------------------------------------------------
r29844 | krj | 2009-09-10 09:54:02 -0700 (Thu, 10 Sep 2009) | 1 line
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/libwireshark.def
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

offset_from_real_beginning() is only called with 0 as second argument, so remove the argument completely. It seems that the second argument only acts as an accumulator allowing offset_from_real_beginning() to call itself recursively. To be consistent offset_from_real_beginning() is renamed to tvb_offset_from_real_beginning().
------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r30658 | gerald | 2009-10-21 17:15:46 -0700 (Wed, 21 Oct 2009) | 134 lines
Changed paths:
   M /trunk-1.2/Makefile.nmake
   M /trunk-1.2/asn1/gsmmap/gsmmap.cnf
   M /trunk-1.2/config.nmake
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-ber.c
   M /trunk-1.2/epan/dissectors/packet-dcerpc-nt.c
   M /trunk-1.2/epan/dissectors/packet-e212.c
   M /trunk-1.2/epan/dissectors/packet-fip.c
   M /trunk-1.2/epan/dissectors/packet-gsm_map.c
   M /trunk-1.2/epan/dissectors/packet-ipsec.c
   M /trunk-1.2/epan/dissectors/packet-smb.c
   M /trunk-1.2/epan/tvbuff.c
   M /trunk-1.2/gtk/prefs_column.c
   M /trunk-1.2/gtk/sctp_assoc_analyse.c
   M /trunk-1.2/packaging/nsis/wireshark.nsi
   M /trunk-1.2/version_info.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r29917 | etxrab | 2009-09-14 22:39:33 -0700 (Mon, 14 Sep 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c

From   Vladimir Kazansky:
Misspell in mcc_mnc codes in packet-e212.c
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3996
------------------------------------------------------------------------
r29950 | wmeier | 2009-09-16 16:13:34 -0700 (Wed, 16 Sep 2009) | 2 lines
Changed paths:
   M /trunk/version_info.c

Add info as to 32/64 bit and also if "Windows 7" to runtime version info.
------------------------------------------------------------------------
r29986 | wmeier | 2009-09-18 15:41:04 -0700 (Fri, 18 Sep 2009) | 19 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

From  yami<yamisoe At ...>: Fix Bug #3542: get_dfs_referral referral entry is not dissected corectly.

(See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3542)

The current get_dfs_referral response code is based on old protocol specs,
which are unofficial, erroneous. 

I modify packet-smb.c to be confirm to protocol's official spec. Some
changes are:

  1. handle referral entry version 2, 3, 4 separately. The current code does
not distinguish v3 from v2, however they are not same.
  2. change server type, referral flags etc.
  3. refactor some code, such as string dissecting.

Also: From me: a small change to handle possible overflow
when subtracting from a guint16.
------------------------------------------------------------------------
r29988 | krj | 2009-09-20 00:35:39 -0700 (Sun, 20 Sep 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Remove 'type' formal parameter from tvb_new_with_subset()
------------------------------------------------------------------------
r30208 | sahlberg | 2009-09-30 00:53:12 -0700 (Wed, 30 Sep 2009) | 28 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nt.c

The dcerpc dissectors used to walk the list of items upward parent by 
parent in order to push teh display of extra interesting fields in the 
packet to higher up in the decode tree. This was useful for making sure 
that things like DomainNames etc are clearly visible without having to 
drill down 500 layers of NDR.

This code used to just blindly walk the indicated number of parents, and 
then attach the string to that item.
This relied on the "unsafe" assumption that the topmost item would have 
pointer point to itself, so this was "safe".

This is no longer safe since the root object in the tree now has NULL as 
parent, and thus some of these dcerpc interfaces can now cause a SEGV 
trying to dereference NULL->parent.

I added a macro to safely walk to the parent object, or remain at the 
current object if parent is NULL.

This was a serious bug, where dcerpc traffic could cause a SEGV.
Please merge into all stable versions.
------------------------------------------------------------------------
r30274 | krj | 2009-10-03 23:12:31 -0700 (Sat, 03 Oct 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

g_malloc0() doesn't return NULL so remove NULL error paths
------------------------------------------------------------------------
r30319 | etxrab | 2009-10-04 12:25:46 -0700 (Sun, 04 Oct 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Gerasimos Dimitriadis:
TCAP problem with indefinite length 'components' SEQ OF.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4053
------------------------------------------------------------------------
r30381 | etxrab | 2009-10-06 22:03:16 -0700 (Tue, 06 Oct 2009) | 3 lines
Changed paths:
   M /trunk/gtk/prefs_column.c

From Jim Young:
Add "Drag and Drop entries..." message on Columns preferences page.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4099
------------------------------------------------------------------------


Copy over with manual intervention:
------------------------------------------------------------------------
r29977 | gerald | 2009-09-17 14:54:52 -0700 (Thu, 17 Sep 2009) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/wireshark.nsi

Install the CRT DLLs using the Visual C++ Redistributable Package
(vcredist_x64.exe) on Win64. This should fix bug 4024.
------------------------------------------------------------------------
r29979 | jake | 2009-09-17 23:29:00 -0700 (Thu, 17 Sep 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

From Harald Welte:
Errors occur which means decrypted_len - esp_iv len will render a negative value and thus
cause the problem. This patch prevents the crash. Not sure if this is a proper fix. At least it 
looks like a sane check to do.
------------------------------------------------------------------------
r30103 | jake | 2009-09-23 12:14:35 -0700 (Wed, 23 Sep 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fip.c

Fix for bug 4046:
Fix type of FIP dissector header field hf_fip_desc_map.
------------------------------------------------------------------------
r30195 | stig | 2009-09-29 06:04:47 -0700 (Tue, 29 Sep 2009) | 6 lines
Changed paths:
   M /trunk/gtk/sctp_assoc_analyse.c

Remove alloc of unused variables in sctp_analyse_cb().
This fixes bug 4064.

Set sctp_set_filter() static.
Use correct prototype for create_list().
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r30659 | etxrab | 2009-10-21 18:46:58 -0700 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk-1.2/asn1/snmp/snmp.cnf
   M /trunk-1.2/epan/dissectors/packet-snmp.c
   M /trunk-1.2/epan/dissectors/packet-snmp.h

Apply the missing .cnf change Revision 30349 Fixed offset_from_real_beginning() -> tvb_offset_from_real_beginning()
And r 28782 More header_field_info cleanup in the asn1 cnf files.
------------------------------------------------------------------------
r30660 | etxrab | 2009-10-21 18:50:22 -0700 (Wed, 21 Oct 2009) | 1 line
Changed paths:
   M /trunk-1.2/diameter/TGPPGmb.xml
   M /trunk-1.2/diameter/TGPPRx.xml
   M /trunk-1.2/diameter/dictionary.xml
   M /trunk-1.2/diameter/eap.xml
   M /trunk-1.2/diameter/etsie2e4.xml
   M /trunk-1.2/diameter/gqpolicy.xml

Copy diameter .xml files from trunk.
------------------------------------------------------------------------
r30673 | gerald | 2009-10-23 09:27:44 -0700 (Fri, 23 Oct 2009) | 113 lines
Changed paths:
   M /trunk-1.2/config.nmake
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-edonkey.c
   M /trunk-1.2/epan/dissectors/packet-fip.c
   M /trunk-1.2/epan/dissectors/packet-rsl.c
   M /trunk-1.2/epan/dissectors/packet-smb.c
   M /trunk-1.2/epan/dissectors/packet-tcp.c
   M /trunk-1.2/epan/dissectors/packet-wps.c
   M /trunk-1.2/epan/libwireshark.def
   M /trunk-1.2/packaging/nsis/Makefile.am
   M /trunk-1.2/packaging/nsis/WinPcapPage.ini
   A /trunk-1.2/packaging/nsis/WinPcap_4_1_1.exe
   D /trunk-1.2/packaging/nsis/WinPcap_4_1_beta5.exe
   M /trunk-1.2/packaging/nsis/wireshark.nsi
   M /trunk-1.2/tools/win32-setup.sh
   M /trunk-1.2/tools/win64-setup.sh

Copy over revisions from the trunk:

------------------------------------------------------------------------
r30468 | guy | 2009-10-10 02:38:37 -0700 (Sat, 10 Oct 2009) | 3 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Add req_resp_hdrs_do_reassembly to the list of functions that are
exported by libwireshark, so it's usable by plugins.
------------------------------------------------------------------------
r30595 | morriss | 2009-10-18 07:46:39 -0700 (Sun, 18 Oct 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Fix an off-by-one error (<= instead of <) that caused the dissector to
reference uninitialized memory, possibly leading to a crash (found by turning
memory scrubbing on).
------------------------------------------------------------------------
r30640 | gerald | 2009-10-20 09:22:14 -0700 (Tue, 20 Oct 2009) | 4 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.am
   M /trunk/packaging/nsis/WinPcapPage.ini
   A /trunk/packaging/nsis/WinPcap_4_1.exe
   D /trunk/packaging/nsis/WinPcap_4_1_beta5.exe
   M /trunk/packaging/nsis/wireshark.nsi

Update the WinPcap installer to 4.1. The WinPcap installer now enables
NPF at startp, so remove the checkbox and associated code from the
Wireshark installer.
------------------------------------------------------------------------
r29885 | morriss | 2009-09-13 16:10:11 -0700 (Sun, 13 Sep 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

From Didier Gautheron via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3417

Don't scale the window if the SYN flag is set.
------------------------------------------------------------------------
r29957 | morriss | 2009-09-16 19:37:57 -0700 (Wed, 16 Sep 2009) | 24 lines
Changed paths:
   M /trunk/epan/dissectors/packet-edonkey.c

From zeemon via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3848 :

epan\dissectors\packet-edonkey.c
In the fuction dissect_emule_sourceOBFU(): the line

ti = proto_tree_add_item(tree, hf_emule_sourceOBFU, tvb, offset, 7 + ((settings & 0x08) ? 16 : 0), FALSE);

should be

ti = proto_tree_add_item(tree, hf_emule_sourceOBFU, tvb, offset, 7 + ((settings & 0x80) ? 16 : 0), FALSE);

and, the line:

if (settings & 0x08)

should be:

if (settings & 0x80)

That is, 0x08 should be revised to 0x80.

reference: the eMule0.49c source code, file PartFile.cpp, line 2730, in the
function CPartFile::AddSources().

------------------------------------------------------------------------


Copy over with manual intervention:

------------------------------------------------------------------------
r30401 | morriss | 2009-10-08 07:28:23 -0700 (Thu, 08 Oct 2009) | 1 line
Changed paths:
   M /trunk/epan/crc32.c
   M /trunk/epan/libwireshark.def

As requested by Gregory Seidman on -dev: add CRC32 functions to libwireshark.def.  Use consistent indentation in crc32.c.
------------------------------------------------------------------------
r30577 | jake | 2009-10-16 14:26:51 -0700 (Fri, 16 Oct 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fip.c

From Joe Eykholt:
The FIP dissector shows the VFID descriptor as a 2-byte string instead of the
correct UINT16 type.   Also, the name should be changed to just "VFID".

The "Fabric Name" field of the Fabric descriptor was incorrectly labeled.

Also, some lines grew to longer than 80 columns due to other patches.
------------------------------------------------------------------------
r30652 | gerald | 2009-10-20 20:13:42 -0700 (Tue, 20 Oct 2009) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/packaging/nsis/Makefile.am
   M /trunk/packaging/nsis/Makefile.nmake
   D /trunk/packaging/nsis/WinPcap_4_1.exe
   A /trunk/packaging/nsis/WinPcap_4_1_1.exe
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh
   M /trunk/tools/win64-setup.sh

Update WinPcap and the developer's pack to 4.1.1.
------------------------------------------------------------------------
r30665 | gerald | 2009-10-22 10:00:26 -0700 (Thu, 22 Oct 2009) | 2 lines
Changed paths:
   M /trunk/config.nmake

Fix the WpdPack version on Win64.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r30677 | gerald | 2009-10-23 11:38:46 -0700 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk-1.2/packaging/nsis/Makefile.am
   M /trunk-1.2/packaging/nsis/wireshark.nsi

WinPcap 4.1 -> 4.1.1.

------------------------------------------------------------------------
r30678 | gerald | 2009-10-23 12:16:43 -0700 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk-1.2/config.nmake

WpdPack_4_1_beta5 -> 4.1.1.

------------------------------------------------------------------------
r30679 | gerald | 2009-10-23 12:17:17 -0700 (Fri, 23 Oct 2009) | 83 lines
Changed paths:
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-isakmp.c
   M /trunk-1.2/epan/dissectors/packet-mgcp.c
   M /trunk-1.2/epan/dissectors/packet-ncp.c
   M /trunk-1.2/epan/dissectors/packet-ncp2222.inc
   M /trunk-1.2/epan/dissectors/packet-radius.c
   M /trunk-1.2/epan/dissectors/packet-sbus.c
   M /trunk-1.2/epan/dissectors/packet-teamspeak2.c
   M /trunk-1.2/epan/stream.c
   M /trunk-1.2/plugins/irda/packet-irda.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r30502 | krj | 2009-10-11 03:00:01 -0700 (Sun, 11 Oct 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-teamspeak2.c

Switch over to using seasonal memory instead of g_mem_chunkS which are deprecated
------------------------------------------------------------------------
r30505 | krj | 2009-10-11 07:06:56 -0700 (Sun, 11 Oct 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-mgcp.c

Switch over to using seasonal memory since the mgcp dissector was using g_mem_chunks in a seasonal fashion (memory was only freed during file open)
------------------------------------------------------------------------
r30523 | wmeier | 2009-10-11 17:31:37 -0700 (Sun, 11 Oct 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sbus.c

Replace GMemChunks usage with se_alloc();
Remove unneeded #includes;
Fix some spacing.
------------------------------------------------------------------------
r30522 | wmeier | 2009-10-11 17:01:59 -0700 (Sun, 11 Oct 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Replace use of GMemChunks by se_alloc();
@include <stdlib.h> not req'd;
Use consistent indentation.
------------------------------------------------------------------------
r30524 | guy | 2009-10-11 17:32:34 -0700 (Sun, 11 Oct 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Initialize radius_call, so it's null if we don't pass through the code
path that sets it.
------------------------------------------------------------------------
r30572 | wmeier | 2009-10-16 07:22:00 -0700 (Fri, 16 Oct 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Use GSlice instead of GMemChunks for GLib >= 2.10. Fixes a memory leak.
------------------------------------------------------------------------



Copy over with manual intervention:

------------------------------------------------------------------------
r30481 | wmeier | 2009-10-10 14:13:16 -0700 (Sat, 10 Oct 2009) | 19 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ncp2222.inc

Replace use of GMemChunk by se_alloc;

This fixes a major memory leak in the NCP dissector
caused by the fact that "in recent versions of GLib" (>= 2.10 ?)
g_mem_chunk_destroy doesn't actually free up the mem_chunk memory.

Note that there still appears to be one or more smaller
memory leaks somehow associated with NCP dissection.

Example:

A 40M capture file with mostly NCP frames which resulted in a memory
usage increase of about 20M each time the file was reloaded now results 
in a 400K-800K memory usage increase each time the file is reloaded.

(If NCP dissection is disabled, there is minimal memory expansion
each time the file is reloaded).
------------------------------------------------------------------------
r30553 | wmeier | 2009-10-12 14:36:54 -0700 (Mon, 12 Oct 2009) | 3 lines
Changed paths:
   M /trunk/epan/stream.c

Use se_alloc instead of GMemChunks.
 Fixes memory leak when using GLib v2.10 or later.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r30694 | gerald | 2009-10-25 08:05:01 -0700 (Sun, 25 Oct 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-10-25]
------------------------------------------------------------------------
r30714 | gerald | 2009-10-26 10:28:02 -0700 (Mon, 26 Oct 2009) | 39 lines
Changed paths:
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/editcap.c
   M /trunk-1.2/epan/dissectors/packet-edonkey.c
   M /trunk-1.2/gtk/dlg_utils.c
   M /trunk-1.2/packaging/portableapps/win32/Installer.nsi
   M /trunk-1.2/packaging/portableapps/win32/WiresharkPortable.nsi
   M /trunk-1.2/packaging/portableapps/win32/appinfo.tmpl
   M /trunk-1.2/packaging/portableapps/win32/makefile.nmake

Copy over revisions from the trunk:

------------------------------------------------------------------------
r30698 | gerald | 2009-10-25 13:18:24 -0700 (Sun, 25 Oct 2009) | 8 lines
Changed paths:
   M /trunk/editcap.c

From Jim Young via bug 4162:

This patch limits the number of fractional digits used to calculate the
fractional component of editcap's -t and -w options.

Specifically this patch truncates the fractional component (if any) of the -t
and -w options to 6 and 9 respectively.
------------------------------------------------------------------------
r30702 | etxrab | 2009-10-25 22:55:07 -0700 (Sun, 25 Oct 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-edonkey.c

From Jakub Zawadzki:
Fix memleaks while creating kademlia hash.
------------------------------------------------------------------------
r30681 | gerald | 2009-10-23 14:38:38 -0700 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/packaging/portableapps/win32/appinfo.tmpl
   A /trunk/packaging/portableapps/win32/installer.ini
   M /trunk/packaging/portableapps/win32/makefile.nmake

Add updates from bug 4158.
------------------------------------------------------------------------
r30696 | gerald | 2009-10-25 12:33:36 -0700 (Sun, 25 Oct 2009) | 2 lines
Changed paths:
   M /trunk/packaging/portableapps/win32/Installer.nsi
   M /trunk/packaging/portableapps/win32/WiresharkPortable.nsi

More fixes from John T. Haller via bug 4158, with some cleanups from me.
------------------------------------------------------------------------


------------------------------------------------------------------------
r30720 | gerald | 2009-10-26 12:22:56 -0700 (Mon, 26 Oct 2009) | 34 lines
Changed paths:
   M /trunk-1.2/asn1/ranap/packet-ranap-template.c
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-ranap.c
   M /trunk-1.2/epan/libwireshark.def
   M /trunk-1.2/epan/proto.c
   M /trunk-1.2/epan/tap.c
   M /trunk-1.2/epan/tap.h
   M /trunk-1.2/file.c

Copy over by hand:

------------------------------------------------------------------------
r30252 | stig | 2009-10-02 12:55:43 -0700 (Fri, 02 Oct 2009) | 5 lines
Changed paths:
   M /trunk/epan/libwireshark.def
   M /trunk/epan/tap.c
   M /trunk/epan/tap.h
   M /trunk/file.c

Prime interesting fields when selecting a package, so Lua's ProtoField
can extract the field value correctly.

This fixes bug 4058.
------------------------------------------------------------------------
r30532 | stig | 2009-10-12 01:16:50 -0700 (Mon, 12 Oct 2009) | 5 lines
Changed paths:
   M /trunk/epan/proto.c

Check for valid tree in proto_get_finfo_ptr_array() and 
proto_tracking_interesting_fields().

This fixes a crash when using Lua script without packet list coloring.
------------------------------------------------------------------------
r30710 | etxrab | 2009-10-26 08:12:32 -0700 (Mon, 26 Oct 2009) | 1 line
Changed paths:
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/epan/dissectors/packet-ranap.c

RelocationRequired incorrectly dissected.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r30721 | gerald | 2009-10-26 12:30:53 -0700 (Mon, 26 Oct 2009) | 2 lines
Changed paths:
   M /trunk-1.2/NEWS
   M /trunk-1.2/docbook/release-notes.xml

Update the release notes / NEWS.

------------------------------------------------------------------------
